System.Core 4.0.0.0 System.Object

For more information, see documentation on the CodePlex Web site and the MSDN article Implementing Dynamic Interfaces.

Represents the dynamic binding and a binding logic of an object participating in the dynamic binding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The expression representing this during the dynamic binding process.
  The set of binding restrictions under which the binding is valid.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The expression representing this during the dynamic binding process.
  The set of binding restrictions under which the binding is valid.
  The runtime value represented by the .
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Performs the binding of the dynamic binary operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. An instance of the representing the right hand side of the binary operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject ``

  In Visual Basic, only explicit conversion is supported. If you override this method, it is called by using the or functions.

  Performs the binding of the dynamic conversion operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Performs the binding of the dynamic create instance operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. An array of instances - arguments to the create instance operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Performs the binding of the dynamic delete index operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. An array of instances - indexes for the delete index operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` To be added.

  Performs the binding of the dynamic delete member operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Performs the binding of the dynamic get index operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. An array of instances - indexes for the get index operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` To be added.

  Performs the binding of the dynamic get member operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Performs the binding of the dynamic invoke operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. An array of instances - arguments to the invoke operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Performs the binding of the dynamic invoke member operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. An array of instances - arguments to the invoke member operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` `` To be added.

  Performs the binding of the dynamic set index operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. An array of instances - indexes for the set index operation. The representing the value for the set index operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Performs the binding of the dynamic set member operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation. The representing the value for the set member operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` To be added.

  Performs the binding of the dynamic unary operation.

  The new representing the result of the binding.

  An instance of the that represents the details of the dynamic operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  Creates a meta-object for the specified object.

  If the given object implements and is not a remote object from outside the current AppDomain, returns the object's specific meta-object returned by . Otherwise a plain new meta-object with no restrictions is created and returned.

  The object to get a meta-object for. The expression representing this during the dynamic binding process.
- Field
  4.0.0.0
  System.Dynamic.DynamicMetaObject[] To be added.

  Represents an empty array of type . This field is read only.

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  The expression representing the during the dynamic binding process.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.String> To be added.

  Returns the enumeration of all dynamic member names.

  The list of dynamic member names.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the has the runtime value.

- Property
  4.0.0.0
  System.Type To be added.

  Represents the most specific type known about the object represented by the .

  Gets the limit type of the .

- Property
  4.0.0.0
  System.Dynamic.BindingRestrictions To be added. To be added.

  The set of binding restrictions under which the binding is valid.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the of the runtime value or null if the has no value associated with it.

- Property
  4.0.0.0
  System.Object To be added. To be added.

  The runtime value represented by this .